Page MenuHomePhabricator

Create wiki (legalteamwiki) for Wikimedia Foundation legal team
Closed, ResolvedPublic

Description

In an effort to allow the legal and lca team to work directly on a wiki more often (including for legally sensitive work) and to move away from google docs and the like as much as possible we would like to set up a private wiki for the team.

In general Ombudsmanwiki would be a good wiki to copy settings from but for the ones I can think of off the top of my head:

Wiki domain should be legalwiki.wikimedia.org.
Language should be English.
Logo can be $stdlogo.
Favicon can be wmf.ico
Canonical server should be https (forced should be on).
Account creation should be bureaucrat only (not sysop).
Transwiki destinations of office, collab and meta would be helpful. (Not sure if private wikis can be tw destinations though... if not that's fine.
wmgUseDisableAccount should be true

I can be the original sysop/crat.


Version: wmf-deployment
Severity: normal

Details

Reference
bz61222

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:01 AM
bzimport set Reference to bz61222.

(In reply to comment #0)

Wiki domain should be legalwiki.wikimedia.org.

Why not legal.wikimedia.org?

Change 112716 had a related patch set uploaded by Jforrester:
Add support for new private legalwiki

https://gerrit.wikimedia.org/r/112716

Change 112717 had a related patch set uploaded by Jforrester:
Enable VisualEditor for legalwiki by default

https://gerrit.wikimedia.org/r/112717

Above patches will allow VisualEditor support; it needs to be created first, however (obviously).

(In reply to comment #1)

(In reply to comment #0)

Wiki domain should be legalwiki.wikimedia.org.

Why not legal.wikimedia.org?

To keep legal.wikimedia free incase it's wanted for something broader and more open then a confidential wiki.

(In reply to comment #0)

Transwiki destinations of office, collab and meta would be helpful. (Not sure
if private wikis can be tw destinations though... if not that's fine.

I don't know that either but would guess that not. Even if, you'd have the problem that any sysop on the target wiki could then make guesses which pages exist on the private wiki and try to import them.

TTO added a comment.Feb 12 2014, 1:57 AM

(In reply to comment #5)

(In reply to comment #1)

Why not legal.wikimedia.org?

To keep legal.wikimedia free incase it's wanted for something broader and
more
open then a confidential wiki.

How about legalteam.wikimedia.org? Using the name legalwiki.wikimedia.org could be confusing, as wiki internal names are by convention formed by taking the subdomain and adding "wiki".

I also disagree with 'legalwiki.wikimedia.org', especially if you see the potential of using legal.wikimedia.org in the future (which would probably be a wiki too, the difference between the two then actually being access controls - and obviously content).

How about legalteam.wikimedia.org? Using the name legalwiki.wikimedia.org
could
be confusing, as wiki internal names are by convention formed by taking the
subdomain and adding "wiki".

I also disagree with 'legalwiki.wikimedia.org', especially if you see the
potential of using legal.wikimedia.org in the future (which would probably
be a
wiki too, the difference between the two then actually being access controls

and obviously content).

I'm fine with legalteam if we prefer, I don't really care I just want it to make sense and get done :).

TTO added a comment.Feb 12 2014, 2:15 AM

I note that ombudsmenwiki assigns no rights to the autoconfirmed and confirmed groups (except OAuth and transcode rights). Is this required for legalteamwiki?

(In reply to comment #10)

I note that ombudsmenwiki assigns no rights to the autoconfirmed and
confirmed
groups (except OAuth and transcode rights). Is this required for
legalteamwiki?

hmm, no, I just saw that... not entirely sure why that was done but it would be best to still allow the normal options on legalteamwiki. I don't anticipate semi protection being a thing on the wiki obviously but no reason to turn something off (especially upload) without reason.

Change 112850 had a related patch set uploaded by TTO:
Initial setup for legalteamwiki

https://gerrit.wikimedia.org/r/112850

Change 112716 merged by jenkins-bot:
Add support for new private legalteamwiki

https://gerrit.wikimedia.org/r/112716

Change 116219 had a related patch set uploaded by Jalexander:
Apache config for legalteamwiki

https://gerrit.wikimedia.org/r/116219

Change 116220 had a related patch set uploaded by Jalexander:
DNS setup for legalteamwiki

https://gerrit.wikimedia.org/r/116220

Change 116220 merged by Mark Bergsma:
DNS setup for legalteamwiki

https://gerrit.wikimedia.org/r/116220

Change 116219 merged by Mark Bergsma:
Apache config for legalteamwiki

https://gerrit.wikimedia.org/r/116219

Change 112850 merged by jenkins-bot:
Initial setup for legalteamwiki

https://gerrit.wikimedia.org/r/112850

Change 112717 merged by jenkins-bot:
Enable VisualEditor for legalteamwiki by default

https://gerrit.wikimedia.org/r/112717

Reedy added a comment.Mar 6 2014, 3:33 PM

This is mostly done now...

Does $stdlogo work on other privte wikis? https://upload.wikimedia.org/wikipedia/legalteam/b/bc/Wiki.png 404s

Reedy added a comment.Mar 6 2014, 3:34 PM

(In reply to Sam Reed (reedy) from comment #20)

Does $stdlogo work on other privte wikis?
https://upload.wikimedia.org/wikipedia/legalteam/b/bc/Wiki.png 404s

Because it won't have been uploaded yet... Duh.

(In reply to Sam Reed (reedy) from comment #21)

(In reply to Sam Reed (reedy) from comment #20)

Does $stdlogo work on other privte wikis?
https://upload.wikimedia.org/wikipedia/legalteam/b/bc/Wiki.png 404s

Because it won't have been uploaded yet... Duh.

Yup, but you are indeed correct, it doesn't work for private wikis because it puts it into a different (private) file url scheme which you have to be logged in to use. I'm uploading a config patch with the logo.

Change 117377 had a related patch set uploaded by Jalexander:
Add logo for legalteamwiki

https://gerrit.wikimedia.org/r/117377

Change 117377 merged by jenkins-bot:
Add logo for legalteamwiki

https://gerrit.wikimedia.org/r/117377

TTO added a comment.Mar 12 2014, 7:00 AM

All done here methinks! Enjoy your new wiki.